de.esprit.appsuite.database.dbo

## Class DBO_tnt_stdtype

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.database.dbase.DBObject
      - - de.esprit.appsuite.database.dbo.DBO_tnt_stdtype

- All Implemented Interfaces:
    DBPersistent, DBRecord, Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public class DBO_tnt_stdtype
      extends DBObject

  DBObject for table tnt_stdtype in database espritdb.
  Auto-generated by EspritAppSuite version 9.7 at 2014-02-18 16:11:15.
  Extracted from RDBMS system: Apache Derby, 10.4.1.3 - (648739)
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DBO_SUBCLASS_VERSION`
    `static DBColumnKey` | `PK`
    `static DBColumnKey` | `TYPE_BOOLEAN`
    `static DBColumnKey` | `TYPE_BOOLSTR`
    `static DBColumnKey` | `TYPE_DATE`
    `static DBColumnKey` | `TYPE_DOUBLE`
    `static DBColumnKey` | `TYPE_FLOAT`
    `static DBColumnKey` | `TYPE_INT`
    `static DBColumnKey` | `TYPE_LONG`
    `static DBColumnKey` | `TYPE_STRING`
    `static DBColumnKey` | `TYPE_TIME`
    `static DBColumnKey` | `TYPE_TS`
    `static DBColumnKey` | `TYPE_VARCHAR`

    - ### Fields inherited from class de.esprit.appsuite.database.dbase.DBObject

      `BOOLEAN_CHAR, DBO_PREFIX, FALSE_STR, TRUE_STR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBO_tnt_stdtype()`
    `DBO_tnt_stdtype(int primaryKey)`
    `DBO_tnt_stdtype(java.lang.String... primaryKeys)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DBColumnKey[]` | `attributeColumns()`
    `DBO_tnt_stdtype` | `clone()`
    `static int` | `countRecords()`
    `static int` | `countRecords(SqlCondition cond)`
    `static void` | `createForeignKeyConstraints()`
    `protected DBRecord` | `createInstance()`
    `protected DBRecord` | `createInstance(java.lang.String... primaryKey)`
    `static void` | `createTable()`
    `static int` | `delete(SqlCondition condition)`
    `static void` | `dropTable()`
    `static boolean` | `existsTable()`
    `java.lang.String` | `get$Pk()` Returns the Primary key value
    `int` | `get$PkAsInt()` Returns the primary key value as int
    `boolean` | `get$TypeBoolean()`
    `java.lang.Boolean` | `get$TypeBoolstr()`
    `java.sql.Date` | `get$TypeDate()`
    `double` | `get$TypeDouble()`
    `double` | `get$TypeFloat()`
    `int` | `get$TypeInt()`
    `long` | `get$TypeLong()`
    `java.lang.String` | `get$TypeString()`
    `java.sql.Time` | `get$TypeTime()`
    `java.sql.Timestamp` | `get$TypeTs()`
    `java.lang.String` | `get$TypeVarchar()`
    `DBColumnKey[]` | `getAttributeColumns()` Returns the attribute column definitions from the concrete subclass
    `static DBO_tnt_stdtype` | `getMaster()`
    `DBRecord` | `getMasterRecord()`
    `DBColumnKey[]` | `getPrimaryKeyColumns()` Returns the primary key column definition from the concrete subclass
    `java.lang.String` | `getTableName()` Returns the name of the underlying database table
    `java.lang.String` | `getTranslationAppKey()` Returns the main translation key for this record.
    `static void` | `load(DBLoadMonitor monitor)`
    `static void` | `load(DBLoadMonitor monitor, SqlCondition condition)`
    `static void` | `load(DBLoadMonitor monitor, SqlCondition condition, SqlOrder order)`
    `static void` | `load(DBLoadMonitor monitor, SqlOrder order)`
    `static DBColumnKey[]` | `primaryKeyColumns()`
    `protected void` | `readAttributes(DBObject obj, int readIdx, java.sql.ResultSet rs)`
    `protected void` | `readPrimaryKeys(DBObject obj, int readIdx, java.sql.ResultSet rs)`
    `static DBO_tnt_stdtype[]` | `select()`
    `static DBO_tnt_stdtype[]` | `select(SqlCondition condition)`
    `static DBO_tnt_stdtype[]` | `select(SqlCondition condition, SqlOrder order)`
    `static DBO_tnt_stdtype[]` | `select(SqlOrder order)`
    `void` | `set$Pk(int value)` Sets the primary key value as int
    `void` | `set$Pk(java.lang.String value)` Sets the Primary key value
    `void` | `set$TypeBoolean(boolean value)`
    `void` | `set$TypeBoolstr(java.lang.Boolean value)`
    `void` | `set$TypeDate(java.sql.Date value)`
    `void` | `set$TypeDouble(double value)`
    `void` | `set$TypeFloat(double value)`
    `void` | `set$TypeInt(int value)`
    `void` | `set$TypeLong(long value)`
    `void` | `set$TypeString(java.lang.String value)`
    `void` | `set$TypeTime(java.sql.Time value)`
    `void` | `set$TypeTs(java.sql.Timestamp value)`
    `void` | `set$TypeVarchar(java.lang.String value)`
    `static java.lang.String` | `tableName()`
    `protected void` | `writeAttributes(int writeIdx, java.sql.PreparedStatement ps, DumpString ds)`
    `protected void` | `writePrimaryKeys(int writeIdx, java.sql.PreparedStatement ps, DumpString ds)`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.DBObject

      `addRecordChangeListener, addSqlListener, begin, begin, checkSubclassVersion, clearAttributes, clearPrimaryKey, clearStatementCache, clearValues, close, close, commit, compareTo, connect, connect, connect, convertArray, copyRecordValues, createDumpHeader, createInstance, createInstance, dbCountRecords, dbCountRecords, dbCreateForeignKeyConstraints, dbCreateTable, dbDelete, dbDelete, dbDropTable, dbExists, dbExistsTable, dbForceInsert, dbForceUpdate, dbGetBlob, dbGetBoolean, dbGetBooleanFromChar, dbGetClob, dbGetDate, dbGetDouble, dbGetFloat, dbGetInt, dbGetLong, dbGetString, dbGetTime, dbGetTimestamp, dbInsert, dbLoad, dbLoad, dbLoad, dbLoad, dbRehash, dbSearch, dbSearch, dbSearch, dbSearch, dbSelect, dbSelect, dbSelect, dbSelect, dbSetBlob, dbSetBlob, dbSetBoolean, dbSetBooleanAsChar, dbSetClob, dbSetClob, dbSetDate, dbSetDouble, dbSetFloat, dbSetInt, dbSetLong, dbSetPersistentId, dbSetPersistentName, dbSetPK, dbSetString, dbSetTime, dbSetTimestamp, dbUpdate, dumpStatementCache, equalAttributes, equalPrimaryKeys, equals, executeQuery, executeSQL, exists, existsField, forceInsert, forceUpdate, getAllColumns, getAttributeCount, getAttributeFullNames, getAttributeNames, getAttributeValues, getDataSource, getDecimalRoundingDigits, getDecimalRoundingMode, getErrorLogger, getFieldByIndex, getFieldByName, getFieldCount, getFieldDefinition, getFieldFullNames, getFieldIcon, getFieldLength, getFieldNames, getForeignKeyGroup, getForeignKeyGroups, getForeignKeyRef, getIndexOf, getInsertFactory, getJavaType, getJdbcType, getManagedDBObjects, getMasterRecord, getPrimaryKeyCount, getPrimaryKeyFactory, getPrimaryKeyFullNames, getPrimaryKeyNames, getPrimaryKeyOrder, getPrimaryKeyValues, getRdbmsInfo, getRdbmsSupport, getRecordName, getRenderColor, getRenderIcon, getRenderText, getSchema, getValue, getValue, getValues, getVersion, hasConnection, hashCode, hasPrimaryKey, invalidate, isDecimalRounding, isDirty, isFieldNumeric, isFieldVirtual, isForeignKey, isNotNullField, isPrimaryKey, isPrimaryKeyValid, isPrimaryKeyValid, isReadPrimaryKeyOnly, isSilent, isStoreZeroAsNull, isTrimStringsOnRead, isTrimStringsOnWrite, readObject, readObject, removeRecordChangeListener, removeSqlListener, rollback, roundValue, roundValue, setDataSource, setDecimalRounding, setErrorLogger, setFieldValue, setFieldValue, setInsertFactory, setPrimaryKeyFactory, setPrimaryKeyValues, setReadPrimaryKeyOnly, setSchema, setSilent, setStoreZeroAsNull, setTrimStringsOnRead, setTrimStringsOnWrite, toDumpString, toKey, toKey, toObject, toObject, toObject, toObject, toObject, toObject, toString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.type.DeepCloneable

      `deepClone`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

- - ### Field Detail

    - #### DBO_SUBCLASS_VERSION

          public static final java.lang.String DBO_SUBCLASS_VERSION

      See Also:
        Constant Field Values

    - #### PK

          public static final DBColumnKey PK

    - #### TYPE_STRING

          public static final DBColumnKey TYPE_STRING

    - #### TYPE_VARCHAR

          public static final DBColumnKey TYPE_VARCHAR

    - #### TYPE_INT

          public static final DBColumnKey TYPE_INT

    - #### TYPE_LONG

          public static final DBColumnKey TYPE_LONG

    - #### TYPE_FLOAT

          public static final DBColumnKey TYPE_FLOAT

    - #### TYPE_DOUBLE

          public static final DBColumnKey TYPE_DOUBLE

    - #### TYPE_BOOLEAN

          public static final DBColumnKey TYPE_BOOLEAN

    - #### TYPE_BOOLSTR

          public static final DBColumnKey TYPE_BOOLSTR

    - #### TYPE_DATE

          public static final DBColumnKey TYPE_DATE

    - #### TYPE_TIME

          public static final DBColumnKey TYPE_TIME

    - #### TYPE_TS

          public static final DBColumnKey TYPE_TS

  - ### Constructor Detail

    - #### DBO_tnt_stdtype

          public DBO_tnt_stdtype()

    - #### DBO_tnt_stdtype

          public DBO_tnt_stdtype(int primaryKey)
                          throws java.sql.SQLException,
                                 RecordNotFoundException,
                                 InvalidPrimaryKeyException

      Throws:
        `java.sql.SQLException`
        `RecordNotFoundException`
        `InvalidPrimaryKeyException`

    - #### DBO_tnt_stdtype

          public DBO_tnt_stdtype(java.lang.String... primaryKeys)
                          throws java.sql.SQLException,
                                 RecordNotFoundException,
                                 InvalidPrimaryKeyException

      Throws:
        `java.sql.SQLException`
        `RecordNotFoundException`
        `InvalidPrimaryKeyException`

  - ### Method Detail

    - #### tableName

          public static java.lang.String tableName()

    - #### primaryKeyColumns

          public static DBColumnKey[] primaryKeyColumns()

    - #### attributeColumns

          public static DBColumnKey[] attributeColumns()

    - #### getMaster

          public static DBO_tnt_stdtype getMaster()

    - #### get$Pk

          public java.lang.String get$Pk()

      Returns the Primary key value

    - #### get$PkAsInt

          public int get$PkAsInt()

      Returns the primary key value as int

    - #### get$TypeString

          public java.lang.String get$TypeString()

    - #### get$TypeVarchar

          public java.lang.String get$TypeVarchar()

    - #### get$TypeInt

          public int get$TypeInt()

    - #### get$TypeLong

          public long get$TypeLong()

    - #### get$TypeFloat

          public double get$TypeFloat()

    - #### get$TypeDouble

          public double get$TypeDouble()

    - #### get$TypeBoolean

          public boolean get$TypeBoolean()

    - #### get$TypeBoolstr

          public java.lang.Boolean get$TypeBoolstr()

    - #### get$TypeDate

          public java.sql.Date get$TypeDate()

    - #### get$TypeTime

          public java.sql.Time get$TypeTime()

    - #### get$TypeTs

          public java.sql.Timestamp get$TypeTs()

    - #### set$Pk

          public void set$Pk(java.lang.String value)

      Sets the Primary key value

    - #### set$Pk

          public void set$Pk(int value)

      Sets the primary key value as int

    - #### set$TypeString

          public void set$TypeString(java.lang.String value)

    - #### set$TypeVarchar

          public void set$TypeVarchar(java.lang.String value)

    - #### set$TypeInt

          public void set$TypeInt(int value)

    - #### set$TypeLong

          public void set$TypeLong(long value)

    - #### set$TypeFloat

          public void set$TypeFloat(double value)

    - #### set$TypeDouble

          public void set$TypeDouble(double value)

    - #### set$TypeBoolean

          public void set$TypeBoolean(boolean value)

    - #### set$TypeBoolstr

          public void set$TypeBoolstr(java.lang.Boolean value)

    - #### set$TypeDate

          public void set$TypeDate(java.sql.Date value)

    - #### set$TypeTime

          public void set$TypeTime(java.sql.Time value)

    - #### set$TypeTs

          public void set$TypeTs(java.sql.Timestamp value)

    - #### createInstance

          protected DBRecord createInstance()

      Specified by:
        `createInstance` in class `DBObject`

    - #### createInstance

          protected DBRecord createInstance(java.lang.String... primaryKey)
                                     throws java.sql.SQLException,
                                            RecordNotFoundException,
                                            InvalidPrimaryKeyException

      Specified by:
        `createInstance` in class `DBObject`
      Throws:
        `java.sql.SQLException`
        `RecordNotFoundException`
        `InvalidPrimaryKeyException`

    - #### readPrimaryKeys

          protected void readPrimaryKeys(DBObject obj,
                             int readIdx,
                             java.sql.ResultSet rs)
                                  throws java.sql.SQLException

      Specified by:
        `readPrimaryKeys` in class `DBObject`
      Throws:
        `java.sql.SQLException`

    - #### readAttributes

          protected void readAttributes(DBObject obj,
                            int readIdx,
                            java.sql.ResultSet rs)
                                 throws java.sql.SQLException

      Specified by:
        `readAttributes` in class `DBObject`
      Throws:
        `java.sql.SQLException`

    - #### writePrimaryKeys

          protected void writePrimaryKeys(int writeIdx,
                              java.sql.PreparedStatement ps,
                              DumpString ds)
                                   throws java.sql.SQLException

      Specified by:
        `writePrimaryKeys` in class `DBObject`
      Throws:
        `java.sql.SQLException`

    - #### writeAttributes

          protected void writeAttributes(int writeIdx,
                             java.sql.PreparedStatement ps,
                             DumpString ds)
                                  throws java.sql.SQLException

      Specified by:
        `writeAttributes` in class `DBObject`
      Throws:
        `java.sql.SQLException`

    - #### getPrimaryKeyColumns

          public DBColumnKey[] getPrimaryKeyColumns()

      Description copied from class: `DBObject`
      Returns the primary key column definition from the concrete subclass
      Specified by:
        `getPrimaryKeyColumns` in class `DBObject`
      See Also:
        `DBObject.getPrimaryKeyNames()`, `DBObject.getPrimaryKeyFullNames()`, `DBObject.getPrimaryKeyValues()`

    - #### getAttributeColumns

          public DBColumnKey[] getAttributeColumns()

      Description copied from class: `DBObject`
      Returns the attribute column definitions from the concrete subclass
      Specified by:
        `getAttributeColumns` in class `DBObject`
      See Also:
        `DBObject.getAttributeNames()`, `DBObject.getAttributeFullNames()`, `DBObject.getAttributeValues()`

    - #### getMasterRecord

          public DBRecord getMasterRecord()

      Specified by:
        `getMasterRecord` in interface `DBRecord`
      Specified by:
        `getMasterRecord` in class `DBObject`
      Returns:
        The cached master instance

    - #### getTableName

          public java.lang.String getTableName()

      Description copied from class: `DBObject`
      Returns the name of the underlying database table
      Specified by:
        `getTableName` in class `DBObject`

    - #### getTranslationAppKey

          public java.lang.String getTranslationAppKey()

      Description copied from interface: `DBRecord`
      Returns the main translation key for this record. This key is used as a prefix for all translations of this record.

    - #### clone

          public DBO_tnt_stdtype clone()

      Overrides:
        `clone` in class `DBObject`

    - #### select

          public static DBO_tnt_stdtype[] select()
                                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### select

          public static DBO_tnt_stdtype[] select(SqlCondition condition)
                                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### select

          public static DBO_tnt_stdtype[] select(SqlOrder order)
                                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### select

          public static DBO_tnt_stdtype[] select(SqlCondition condition,
                                 SqlOrder order)
                                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### load

          public static void load(DBLoadMonitor monitor)
                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### load

          public static void load(DBLoadMonitor monitor,
                  SqlOrder order)
                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### load

          public static void load(DBLoadMonitor monitor,
                  SqlCondition condition)
                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### load

          public static void load(DBLoadMonitor monitor,
                  SqlCondition condition,
                  SqlOrder order)
                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### delete

          public static int delete(SqlCondition condition)
                            throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### existsTable

          public static boolean existsTable()

    - #### createTable

          public static void createTable()
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### dropTable

          public static void dropTable()
                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### countRecords

          public static int countRecords()
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### countRecords

          public static int countRecords(SqlCondition cond)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### createForeignKeyConstraints

          public static void createForeignKeyConstraints()
                                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.